Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class AbstractOWLProperty

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultSlot
                  edu.stanford.smi.protegex.owl.model.impl.DefaultRDFProperty
                      edu.stanford.smi.protegex.owl.model.impl.AbstractOWLProperty

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, edu.stanford.smi.protege.model.Localizable, edu.stanford.smi.protege.model.Slot, Deprecatable, OWLProperty, ProtegeInstance, ProtegeSlot, RDFObject, RDFProperty, RDFResource, Visitable, Serializable, Comparable<edu.stanford.smi.protege.model.Frame>

Direct Known Subclasses:
  DefaultOWLDatatypeProperty, DefaultOWLObjectProperty

    public abstract class AbstractOWLProperty

extends DefaultRDFProperty
implements OWLProperty

The default implementation of the OWLProperty interface.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Constructor Summary
`AbstractOWLProperty(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.model.FrameID id)`

Method Summary
`ImageIcon` | `getBaseImageIcon()`
`Icon` | `getIcon()`
`String` | `getIconName()` Gets the local name of an icon for this type of resource.
`boolean` | `isInverseFunctional()` Checks whether this is an inverse functional property.
`boolean` | `isObjectProperty()` Checks whether this is an object slot or a datatype slot.
`void` | `setAnnotationProperty(boolean value)`
`void` | `setEquivalentProperties(Collection slots)` Sets the equivalent properties of this.
`void` | `setInverseFunctional(boolean value)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.DefaultRDFProperty
`accept, addComment, addDifferentFrom, addEquivalentProperty, addIsDefinedBy, addLabel, addPropertyListener, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addSuperproperty, addUnionDomainClass, addVersionInfo, as, canAs, equalsStructurally, getAllValuesFromOnTypes, getComments, getDifferentFrom, getDocumentation, getDomain, getDomains, getEquivalentProperties, getFirstSuperproperty, getHasValuesOnTypes, getIconLocation, getInferredTypes, getInheritedIcon, getInverseProperty, getIsDefinedBy, getLabels, getLocalName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRange, getRange, getRangeDatatype, getRanges, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getSubproperties, getSubpropertyCount, getSuperproperties, getSuperpropertyCount, getUnionDomain, getUnionDomain, getUnionRangeClasses, getURI, getVersionInfo, hasDatatypeRange, hasObjectRange, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRange, hasRDFType, hasRDFType, isAnnotationProperty, isAnonymous, isDeprecated, isDomainDefined, isDomainDefined, isFunctional, isPureAnnotationProperty, isRangeDefined, isReadOnly, isSubpropertyOf, isUntyped, isValidPropertyValue, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeEquivalentProperty, removeIsDefinedBy, removeLabel, removePropertyListener, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeSuperproperty, removeUnionDomainClass, removeVersionInfo, setComment, setComments, setDeprecated, setDocumentation, setDomain, setDomainDefined, setDomains, setFunctional, setInferredTypes, setInverseProperty, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRange, setRanges, setRDFType, setRDFTypeOfSubproperties, setRDFTypes, setUnionRangeClasses, toString, updateRDFType`

Methods inherited from class edu.stanford.smi.protege.model.DefaultSlot
`addDirectSuperslot, addSlotListener, deepCopy, getAllowedClses, getAllowedParents, getAllowedValues, getAllowsMultipleValues, getAssociatedFacet, getDefaultValues, getDirectDomain, getDirectSubslotCount, getDirectSubslots, getDirectSuperslotCount, getDirectSuperslots, getDomain, getInverseSlot, getMaximumCardinality, getMaximumValue, getMinimumCardinality, getMinimumValue, getSubslots, getSuperslots, getTemplateSlotClses, getValues, getValueType, hasDirectSuperslot, hasSuperslot, hasValueAtSomeFrame, moveDirectSubslot, removeDirectSuperslot, removeSlotListener, rename, setAllowedClses, setAllowedParents, setAllowedValues, setAllowsMultipleValues, setAssociatedFacet, setDefaultValues, setDirectTypeOfSubslots, setInverseSlot, setMaximumCardinality, setMaximumValue, setMinimumCardinality, setMinimumValue, setValues, setValueType`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, getBrowserText, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFProperty
`addEquivalentProperty, addPropertyListener, addSuperproperty, addUnionDomainClass, getDomain, getDomains, getEquivalentProperties, getFirstSuperproperty, getInheritedIcon, getInverseProperty, getRange, getRange, getRangeDatatype, getRanges, getSubproperties, getSubpropertyCount, getSuperproperties, getSuperpropertyCount, getUnionDomain, getUnionDomain, getUnionRangeClasses, hasDatatypeRange, hasObjectRange, hasRange, isAnnotationProperty, isDomainDefined, isDomainDefined, isFunctional, isPureAnnotationProperty, isRangeDefined, isReadOnly, isSubpropertyOf, removeEquivalentProperty, removePropertyListener, removeSuperproperty, removeUnionDomainClass, setDomain, setDomainDefined, setDomains, setFunctional, setInverseProperty, setRange, setRanges, setUnionRangeClasses`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeSlot
`addDirectSuperslot, addSlotListener, getAllowedClses, getAllowedParents, getAllowedValues, getAllowsMultipleValues, getAssociatedFacet, getDefaultValues, getDirectDomain, getDirectSubslotCount, getDirectSubslots, getDirectSuperslotCount, getDirectSuperslots, getDocumentation, getDomain, getInverseSlot, getMaximumCardinality, getMaximumValue, getMinimumCardinality, getMinimumValue, getSubslots, getSuperslots, getValues, getValueType, hasDirectSuperslot, hasSuperslot, hasValueAtSomeFrame, moveDirectSubslot, removeDirectSuperslot, removeSlotListener, setAllowedClses, setAllowedParents, setAllowedValues, setAllowsMultipleValues, setAssociatedFacet, setDefaultValues, setDirectTypeOfSubslots, setDocumentation, setInverseSlot, setMaximumCardinality, setMaximumValue, setMinimumCardinality, setMinimumValue, setValues, setValueType`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protege.model.Slot
`getTemplateSlotClses, rename`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getBrowserText, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFObject
`equalsStructurally`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.visitor.Visitable
`accept`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.Deprecatable
`isDeprecated, setDeprecated`

Constructor Detail

### AbstractOWLProperty

    public AbstractOWLProperty(edu.stanford.smi.protege.model.KnowledgeBase kb,
                               edu.stanford.smi.protege.model.FrameID id)

Method Detail

### getBaseImageIcon

    public ImageIcon getBaseImageIcon()

  Overrides:
    `getBaseImageIcon` in class `DefaultRDFProperty`

### getIcon

    public Icon getIcon()

  Specified by:
    `getIcon` in interface `edu.stanford.smi.protege.model.Frame`
  Specified by:
    `getIcon` in interface `ProtegeInstance`
  Overrides:
    `getIcon` in class `DefaultRDFProperty`
  See Also:
    `ProtegeUI.getIcon(edu.stanford.smi.protegex.owl.model.RDFResource)`

### getIconName

    public String getIconName()

  Description copied from interface: `RDFResource`
  Gets the local name of an icon for this type of resource. This method is used in conjunction with `getIconLocation()`.

  Specified by:
    `getIconName` in interface `RDFResource`
  Overrides:
    `getIconName` in class `DefaultRDFProperty`
  Returns:
    an icon name (without suffix, e.g. "RDFIndividual" for RDFIndividual.gif)
  See Also:
    `RDFResource.getIconLocation()`

### isInverseFunctional

    public boolean isInverseFunctional()

  Description copied from interface: `OWLProperty`
  Checks whether this is an inverse functional property. This is true if this either has the rdf:type owl:InverseFunctionalProperty or one of its super properties is inverse functional.

  Specified by:
    `isInverseFunctional` in interface `OWLProperty`
  Returns:
    true if this is inverse functional

### isObjectProperty

    public boolean isObjectProperty()

  Description copied from interface: `OWLProperty`
  Checks whether this is an object slot or a datatype slot. This method is probably hardly ever needed - it is for the case where instanceof fails because a property has just changed from datatype to object property and the Java object still has the old type.

  Specified by:
    `isObjectProperty` in interface `OWLProperty`
  Returns:
    true if this is an Object property

### setAnnotationProperty

    public void setAnnotationProperty(boolean value)

### setEquivalentProperties

    public void setEquivalentProperties(Collection slots)

  Description copied from interface: `RDFProperty`
  Sets the equivalent properties of this.

  Specified by:
    `setEquivalentProperties` in interface `RDFProperty`
  Overrides:
    `setEquivalentProperties` in class `DefaultRDFProperty`
  Parameters:
    `slots` - a Collection of RDFProperty objects

### setInverseFunctional

    public void setInverseFunctional(boolean value)

  Specified by:
    `setInverseFunctional` in interface `OWLProperty`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.